/**
 * Event arguments for the
 * editModeEntered event.
*/
var IgxSpreadsheetEditModeEnteredEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxSpreadsheetEditModeEnteredEventArgs() {
    }
    Object.defineProperty(IgxSpreadsheetEditModeEnteredEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxSpreadsheetEditModeEnteredEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxSpreadsheetEditModeEnteredEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxSpreadsheetEditModeEnteredEventArgs.prototype, "cell", {
        /**
         * Returns the cell for which the control has entered edit mode.
        */
        get: function () {
            return this.i.cell;
        },
        enumerable: false,
        configurable: true
    });
    return IgxSpreadsheetEditModeEnteredEventArgs;
}());
export { IgxSpreadsheetEditModeEnteredEventArgs };
